<?php

/**
 * Description of Autoexec
 *
 * @author : hujun
 * @date   :   2018-1-9 14:39:26
 * @internal :  自动执行
 */
namespace app\task\controller;
use app\model\HouseInfos;
class Exclusive {
    
    /**
     * 独家时间过期下架商铺
     * 
     * @return type
     */
    public function exclusiveExpirationTime() {
        $house = new HouseInfos();
        $house_data = $house->field('id,room_num_left,exclusive_end')->where('exclusive_type', 1)->where('is_delete', 0)->select();

        if ($house_data) {
            $insert = array();
            foreach ($house_data as $k => $v) {
                if (strtotime($v['exclusive_end'] . '23:59:59') > time() && $v['exclusive_end'] != NULL) {
                    continue;
                }
                $insert[$k]['id'] = $v['id'];
                $insert[$k]['room_num_left'] = 0;
            }
            
            $result = $house->saveAll($insert);
        }
        return;
    }
}
